Bug 865655 - [abrt] tuned-utils-2.0.2-1.fc18: powertop2tuned:148:handle_data:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 48: ordinal not in range(128)
[abrt] tuned-utils-2.0.2-1.fc18: powertop2tuned:148:handle_data:UnicodeDecode...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
abrt_hash:b0a384ff0a24ce83f4d7b3e1d46...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 23:02 EDT by Abhay
Modified: 2013-03-03 20:30 EST (History)
6 users (show)

See Also:
Fixed In Version: tuned-2.1.0-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 20:26:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: smolt_data (3.20 KB, text/plain)
2012-10-11 23:02 EDT, Abhay
no flags Details
File: core_backtrace (492 bytes, text/plain)
2012-10-11 23:02 EDT, Abhay
no flags Details
PowerTOP.html (68.07 KB, text/html)
2012-10-12 04:03 EDT, Abhay
no flags Details

  None (edit)
Description Abhay 2012-10-11 23:02:29 EDT
Description of problem:
Issued the command from console:
# powertop2tuned test-profile


Version-Release number of selected component:
tuned-utils-2.0.2-1.fc18

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python /bin/powertop2tuned test-profile
kernel:         3.6.1-1.fc18.x86_64

backtrace:
:powertop2tuned:148:handle_data:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 48: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/bin/powertop2tuned", line 283, in <module>
:    sys.exit(p.generate(args['new_profile'], args['enable']))
:  File "/bin/powertop2tuned", line 232, in generate
:    data, plugins = self.parseHTML(enable_tunings)
:  File "/bin/powertop2tuned", line 194, in parseHTML
:    parser.feed(f.read())
:  File "/usr/lib64/python2.7/HTMLParser.py", line 114, in feed
:    self.goahead(0)
:  File "/usr/lib64/python2.7/HTMLParser.py", line 152, in goahead
:    if i < j: self.handle_data(rawdata[i:j])
:  File "/bin/powertop2tuned", line 148, in handle_data
:    self.currentScript += "\t# " + self.lastDesc + "\n"
:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 48: ordinal not in range(128)
:
:Local variables in innermost frame:
:prefix: '#'
:data: "echo 'auto' "
:self: <__main__.PowertopHTMLParser instance at 0x16a8e60>
Comment 1 Abhay 2012-10-11 23:02:33 EDT
Created attachment 625791 [details]
File: smolt_data
Comment 2 Abhay 2012-10-11 23:02:36 EDT
Created attachment 625792 [details]
File: core_backtrace
Comment 3 Jaroslav Škarvada 2012-10-12 03:14:43 EDT
Could you provide /tmp/powertop.html? Or if it is not there, please run
 # LANG= powertop --html
and provide the resulting powertop.html (or PowerTOP.html).
Comment 4 Abhay 2012-10-12 04:03:55 EDT
Created attachment 625844 [details]
PowerTOP.html
Comment 5 Jaroslav Škarvada 2012-11-28 05:16:21 EST
Thanks for report, fixed by upstream commit c2888a700e59fe7ac85562631f70608ab1a1df1d. The package will be updated soon.
Comment 6 Fedora Update System 2012-12-03 06:04:59 EST
tuned-2.1.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuned-2.1.0-1.fc18
Comment 7 Jan Vcelak 2012-12-03 06:10:50 EST
Resolved in:
tuned-2.1.0-1.fc18
tuned-2.1.0-1.fc19
Comment 8 Fedora Update System 2012-12-03 16:33:32 EST
Package tuned-2.1.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuned-2.1.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19556/tuned-2.1.0-1.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-12-06 05:32:21 EST
tuned-2.1.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tuned-2.1.1-1.fc18
Comment 10 Fedora Update System 2013-01-11 20:26:42 EST
tuned-2.1.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.